Changeset 1532 for trunk/configure


Ignore:
Timestamp:
Nov 19, 2010 5:29:23 AM (9 years ago)
Author:
stefan
Message:

setup also ASL and Glpk package dirs, since they are in the dependencies

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/configure

    r1524 r1532  
    474474#endif"
    475475
     476ac_subdirs_all="$ac_subdirs_all ThirdParty/ASL"
    476477ac_subdirs_all="$ac_subdirs_all ThirdParty/Blas"
    477478ac_subdirs_all="$ac_subdirs_all ThirdParty/Lapack"
     479ac_subdirs_all="$ac_subdirs_all ThirdParty/Glpk"
    478480ac_subdirs_all="$ac_subdirs_all Data/Sample"
    479481ac_subdirs_all="$ac_subdirs_all Data/Netlib"
     
    11411143  --with-coin-instdir     prefix of installation directory for precompiled
    11421144                          COIN packages
     1145  --with-asl-lib linker flags for using project ASL
     1146  --with-asl-incdir directory with header files for using project ASL
     1147  --with-asl-datadir directory with data files for using project ASL
    11431148  --with-blas-lib linker flags for using project Blas
    11441149  --with-blas-incdir directory with header files for using project Blas
     
    11491154  --with-lapack-datadir directory with data files for using project Lapack
    11501155  --with-lapack           specify LAPACK library (or BUILD for compilation)
     1156  --with-glpk-lib linker flags for using project Glpk
     1157  --with-glpk-incdir directory with header files for using project Glpk
     1158  --with-glpk-datadir directory with data files for using project Glpk
    11511159  --with-sample-lib linker flags for using project Sample
    11521160  --with-sample-incdir directory with header files for using project Sample
     
    42204228
    42214229# Provide some information about the compiler.
    4222 echo "$as_me:4222:" \
     4230echo "$as_me:4230:" \
    42234231     "checking for Fortran 77 compiler version" >&5
    42244232ac_compiler=`set X $ac_compile; echo $2`
     
    64796487*-*-irix6*)
    64806488  # Find out which ABI we are using.
    6481   echo '#line 6481 "configure"' > conftest.$ac_ext
     6489  echo '#line 6489 "configure"' > conftest.$ac_ext
    64826490  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    64836491  (eval $ac_compile) 2>&5
     
    84438451   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84448452   -e 's:$: $lt_compiler_flag:'`
    8445    (eval echo "\"\$as_me:8445: $lt_compile\"" >&5)
     8453   (eval echo "\"\$as_me:8453: $lt_compile\"" >&5)
    84468454   (eval "$lt_compile" 2>conftest.err)
    84478455   ac_status=$?
    84488456   cat conftest.err >&5
    8449    echo "$as_me:8449: \$? = $ac_status" >&5
     8457   echo "$as_me:8457: \$? = $ac_status" >&5
    84508458   if (exit $ac_status) && test -s "$ac_outfile"; then
    84518459     # The compiler can only warn and ignore the option if not recognized
     
    87118719   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    87128720   -e 's:$: $lt_compiler_flag:'`
    8713    (eval echo "\"\$as_me:8713: $lt_compile\"" >&5)
     8721   (eval echo "\"\$as_me:8721: $lt_compile\"" >&5)
    87148722   (eval "$lt_compile" 2>conftest.err)
    87158723   ac_status=$?
    87168724   cat conftest.err >&5
    8717    echo "$as_me:8717: \$? = $ac_status" >&5
     8725   echo "$as_me:8725: \$? = $ac_status" >&5
    87188726   if (exit $ac_status) && test -s "$ac_outfile"; then
    87198727     # The compiler can only warn and ignore the option if not recognized
     
    88158823   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    88168824   -e 's:$: $lt_compiler_flag:'`
    8817    (eval echo "\"\$as_me:8817: $lt_compile\"" >&5)
     8825   (eval echo "\"\$as_me:8825: $lt_compile\"" >&5)
    88188826   (eval "$lt_compile" 2>out/conftest.err)
    88198827   ac_status=$?
    88208828   cat out/conftest.err >&5
    8821    echo "$as_me:8821: \$? = $ac_status" >&5
     8829   echo "$as_me:8829: \$? = $ac_status" >&5
    88228830   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    88238831   then
     
    1116011168  lt_status=$lt_dlunknown
    1116111169  cat > conftest.$ac_ext <<EOF
    11162 #line 11162 "configure"
     11170#line 11170 "configure"
    1116311171#include "confdefs.h"
    1116411172
     
    1126011268  lt_status=$lt_dlunknown
    1126111269  cat > conftest.$ac_ext <<EOF
    11262 #line 11262 "configure"
     11270#line 11270 "configure"
    1126311271#include "confdefs.h"
    1126411272
     
    1360413612   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1360513613   -e 's:$: $lt_compiler_flag:'`
    13606    (eval echo "\"\$as_me:13606: $lt_compile\"" >&5)
     13614   (eval echo "\"\$as_me:13614: $lt_compile\"" >&5)
    1360713615   (eval "$lt_compile" 2>conftest.err)
    1360813616   ac_status=$?
    1360913617   cat conftest.err >&5
    13610    echo "$as_me:13610: \$? = $ac_status" >&5
     13618   echo "$as_me:13618: \$? = $ac_status" >&5
    1361113619   if (exit $ac_status) && test -s "$ac_outfile"; then
    1361213620     # The compiler can only warn and ignore the option if not recognized
     
    1370813716   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1370913717   -e 's:$: $lt_compiler_flag:'`
    13710    (eval echo "\"\$as_me:13710: $lt_compile\"" >&5)
     13718   (eval echo "\"\$as_me:13718: $lt_compile\"" >&5)
    1371113719   (eval "$lt_compile" 2>out/conftest.err)
    1371213720   ac_status=$?
    1371313721   cat out/conftest.err >&5
    13714    echo "$as_me:13714: \$? = $ac_status" >&5
     13722   echo "$as_me:13722: \$? = $ac_status" >&5
    1371513723   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1371613724   then
     
    1527815286   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1527915287   -e 's:$: $lt_compiler_flag:'`
    15280    (eval echo "\"\$as_me:15280: $lt_compile\"" >&5)
     15288   (eval echo "\"\$as_me:15288: $lt_compile\"" >&5)
    1528115289   (eval "$lt_compile" 2>conftest.err)
    1528215290   ac_status=$?
    1528315291   cat conftest.err >&5
    15284    echo "$as_me:15284: \$? = $ac_status" >&5
     15292   echo "$as_me:15292: \$? = $ac_status" >&5
    1528515293   if (exit $ac_status) && test -s "$ac_outfile"; then
    1528615294     # The compiler can only warn and ignore the option if not recognized
     
    1538215390   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1538315391   -e 's:$: $lt_compiler_flag:'`
    15384    (eval echo "\"\$as_me:15384: $lt_compile\"" >&5)
     15392   (eval echo "\"\$as_me:15392: $lt_compile\"" >&5)
    1538515393   (eval "$lt_compile" 2>out/conftest.err)
    1538615394   ac_status=$?
    1538715395   cat out/conftest.err >&5
    15388    echo "$as_me:15388: \$? = $ac_status" >&5
     15396   echo "$as_me:15396: \$? = $ac_status" >&5
    1538915397   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1539015398   then
     
    1758917597   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1759017598   -e 's:$: $lt_compiler_flag:'`
    17591    (eval echo "\"\$as_me:17591: $lt_compile\"" >&5)
     17599   (eval echo "\"\$as_me:17599: $lt_compile\"" >&5)
    1759217600   (eval "$lt_compile" 2>conftest.err)
    1759317601   ac_status=$?
    1759417602   cat conftest.err >&5
    17595    echo "$as_me:17595: \$? = $ac_status" >&5
     17603   echo "$as_me:17603: \$? = $ac_status" >&5
    1759617604   if (exit $ac_status) && test -s "$ac_outfile"; then
    1759717605     # The compiler can only warn and ignore the option if not recognized
     
    1785717865   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1785817866   -e 's:$: $lt_compiler_flag:'`
    17859    (eval echo "\"\$as_me:17859: $lt_compile\"" >&5)
     17867   (eval echo "\"\$as_me:17867: $lt_compile\"" >&5)
    1786017868   (eval "$lt_compile" 2>conftest.err)
    1786117869   ac_status=$?
    1786217870   cat conftest.err >&5
    17863    echo "$as_me:17863: \$? = $ac_status" >&5
     17871   echo "$as_me:17871: \$? = $ac_status" >&5
    1786417872   if (exit $ac_status) && test -s "$ac_outfile"; then
    1786517873     # The compiler can only warn and ignore the option if not recognized
     
    1796117969   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1796217970   -e 's:$: $lt_compiler_flag:'`
    17963    (eval echo "\"\$as_me:17963: $lt_compile\"" >&5)
     17971   (eval echo "\"\$as_me:17971: $lt_compile\"" >&5)
    1796417972   (eval "$lt_compile" 2>out/conftest.err)
    1796517973   ac_status=$?
    1796617974   cat out/conftest.err >&5
    17967    echo "$as_me:17967: \$? = $ac_status" >&5
     17975   echo "$as_me:17975: \$? = $ac_status" >&5
    1796817976   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1796917977   then
     
    2105921067
    2106021068
     21069echo "$as_me:$LINENO: checking whether project ASL is available" >&5
     21070echo $ECHO_N "checking whether project ASL is available... $ECHO_C" >&6
     21071
     21072coin_has_asl=notGiven
     21073coin_have_project_dir=no
     21074
     21075# check if user wants to skip project in any case
     21076
     21077if test x"$COIN_SKIP_PROJECTS" != x; then
     21078  for dir in $COIN_SKIP_PROJECTS; do
     21079    if test $dir = "ASL"; then
     21080      coin_has_asl=skipping
     21081    fi
     21082    if test $dir = "ThirdParty/ASL"; then
     21083      coin_has_asl=skipping
     21084    fi
     21085  done
     21086fi
     21087
     21088if test $coin_has_asl != skipping; then
     21089  if test $PACKAGE_TARNAME = asl; then
     21090    coin_has_asl=.
     21091    coin_have_project_dir=yes
     21092  fi
     21093
     21094
     21095# Check whether --with-m4_tolower(ASL)-lib or --without-m4_tolower(ASL)-lib was given.
     21096if test "${with_asl_lib+set}" = set; then
     21097  withval="$with_asl_lib"
     21098  coin_has_asl=installed
     21099fi;
     21100
     21101
     21102# Check whether --with-m4_tolower(ASL)-incdir or --without-m4_tolower(ASL)-incdir was given.
     21103if test "${with_asl_incdir+set}" = set; then
     21104  withval="$with_asl_incdir"
     21105  coin_has_asl=installed
     21106fi;
     21107
     21108
     21109# Check whether --with-m4_tolower(ASL)-datadir or --without-m4_tolower(ASL)-datadir was given.
     21110if test "${with_asl_datadir+set}" = set; then
     21111  withval="$with_asl_datadir"
     21112  coin_has_asl=installed
     21113fi;
     21114
     21115
     21116
     21117
     21118
     21119fi
     21120
     21121# check if project is available in present directory
     21122if test "$coin_has_asl" = notGiven; then
     21123  if test -d $srcdir/ThirdParty/ASL; then
     21124    # If a third argument is given, then we have to check if one one the files given in that third argument is present.
     21125    # If none of the files in the third argument is available, then we consider the project directory as non-existing.
     21126    # However, if no third argument is given, then this means that there should be no check, and existence of the directory is sufficient.
     21127    for i in $srcdir/ThirdParty/ASL/solvers/asl.h; do
     21128         if test -r $i; then
     21129           coin_have_project_dir=yes
     21130         fi
     21131       done
     21132
     21133    if test $coin_have_project_dir = yes; then
     21134      coin_has_asl=ThirdParty/ASL
     21135    fi
     21136  fi
     21137fi
     21138
     21139# check for project by using pkg-config, if pkg-config is available
     21140if test $coin_has_asl = notGiven; then
     21141  #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
     21142  if test -n "$PKG_CONFIG" ; then
     21143    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     21144    PKG_CONFIG_PATH="$COIN_PKG_CONFIG_PATH" ; export PKG_CONFIG_PATH
     21145
     21146if test -n "$PKG_CONFIG" ; then
     21147  if $PKG_CONFIG --exists "coinasl"; then
     21148    COINASL_VERSION=`$PKG_CONFIG --modversion "coinasl" 2>/dev/null`
     21149    coin_has_asl="$COINASL_VERSION"
     21150  else
     21151    COINASL_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coinasl"`
     21152
     21153  fi
     21154else
     21155  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module coinasl without pkg-config\"" >&5
     21156echo "$as_me: error: \"Cannot check for existance of module coinasl without pkg-config\"" >&2;}
     21157   { (exit 1); exit 1; }; }
     21158fi
     21159
     21160    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21161    export PKG_CONFIG_PATH
     21162  fi
     21163fi
     21164
     21165echo "$as_me:$LINENO: result: $coin_has_asl" >&5
     21166echo "${ECHO_T}$coin_has_asl" >&6
     21167
     21168echo "$as_me:$LINENO: checking whether project ASL needs to be configured" >&5
     21169echo $ECHO_N "checking whether project ASL needs to be configured... $ECHO_C" >&6
     21170if test "$coin_have_project_dir" = yes ; then
     21171
     21172  if test -r $srcdir/ThirdParty/ASL/configure; then
     21173    coin_subdirs="$coin_subdirs ThirdParty/ASL"
     21174    echo "$as_me:$LINENO: result: yes" >&5
     21175echo "${ECHO_T}yes" >&6
     21176
     21177
     21178subdirs="$subdirs ThirdParty/ASL"
     21179
     21180  else
     21181    echo "$as_me:$LINENO: result: no" >&5
     21182echo "${ECHO_T}no" >&6
     21183  fi
     21184else
     21185  echo "$as_me:$LINENO: result: no" >&5
     21186echo "${ECHO_T}no" >&6
     21187fi
     21188
     21189
    2106121190echo "$as_me:$LINENO: checking whether project Blas is available" >&5
    2106221191echo $ECHO_N "checking whether project Blas is available... $ECHO_C" >&6
     
    2112221251fi
    2112321252
    21124 if test $coin_has_blas = notGiven; then
    21125   #check for project by using pkg-config, if pkg-config is available
    21126   #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
    21127   if test -n "$PKG_CONFIG" ; then
    21128     coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
    21129     PKG_CONFIG_PATH="$COIN_PKG_CONFIG_PATH" ; export PKG_CONFIG_PATH
    21130 
    21131 if test -n "$PKG_CONFIG" ; then
    21132   if $PKG_CONFIG --exists "coinblas"; then
    21133     COINBLAS_VERSION=`$PKG_CONFIG --modversion "coinblas" 2>/dev/null`
    21134     coin_has_blas="$COINBLAS_VERSION"
    21135   else
    21136     COINBLAS_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coinblas"`
    21137 
    21138   fi
    21139 else
    21140   { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module coinblas without pkg-config\"" >&5
    21141 echo "$as_me: error: \"Cannot check for existance of module coinblas without pkg-config\"" >&2;}
    21142    { (exit 1); exit 1; }; }
    21143 fi
    21144 
    21145     PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
    21146     export PKG_CONFIG_PATH
    21147   fi
    21148 fi
    21149 
    21150 # if not found yet, check if project is available in present directory
     21253# check if project is available in present directory
    2115121254if test "$coin_has_blas" = notGiven; then
    2115221255  if test -d $srcdir/ThirdParty/Blas; then
     
    2116621269fi
    2116721270
     21271# check for project by using pkg-config, if pkg-config is available
     21272if test $coin_has_blas = notGiven; then
     21273  #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
     21274  if test -n "$PKG_CONFIG" ; then
     21275    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     21276    PKG_CONFIG_PATH="$COIN_PKG_CONFIG_PATH" ; export PKG_CONFIG_PATH
     21277
     21278if test -n "$PKG_CONFIG" ; then
     21279  if $PKG_CONFIG --exists "coinblas"; then
     21280    COINBLAS_VERSION=`$PKG_CONFIG --modversion "coinblas" 2>/dev/null`
     21281    coin_has_blas="$COINBLAS_VERSION"
     21282  else
     21283    COINBLAS_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coinblas"`
     21284
     21285  fi
     21286else
     21287  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module coinblas without pkg-config\"" >&5
     21288echo "$as_me: error: \"Cannot check for existance of module coinblas without pkg-config\"" >&2;}
     21289   { (exit 1); exit 1; }; }
     21290fi
     21291
     21292    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21293    export PKG_CONFIG_PATH
     21294  fi
     21295fi
     21296
    2116821297echo "$as_me:$LINENO: result: $coin_has_blas" >&5
    2116921298echo "${ECHO_T}$coin_has_blas" >&6
    2117021299
    21171 echo "$as_me:$LINENO: checking whether project Blas need to be configured" >&5
    21172 echo $ECHO_N "checking whether project Blas need to be configured... $ECHO_C" >&6
     21300echo "$as_me:$LINENO: checking whether project Blas needs to be configured" >&5
     21301echo $ECHO_N "checking whether project Blas needs to be configured... $ECHO_C" >&6
    2117321302if test "$coin_have_project_dir" = yes ; then
    2117421303
     
    2125421383fi
    2125521384
    21256 if test $coin_has_lapack = notGiven; then
    21257   #check for project by using pkg-config, if pkg-config is available
    21258   #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
    21259   if test -n "$PKG_CONFIG" ; then
    21260     coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
    21261     PKG_CONFIG_PATH="$COIN_PKG_CONFIG_PATH" ; export PKG_CONFIG_PATH
    21262 
    21263 if test -n "$PKG_CONFIG" ; then
    21264   if $PKG_CONFIG --exists "coinlapack"; then
    21265     COINLAPACK_VERSION=`$PKG_CONFIG --modversion "coinlapack" 2>/dev/null`
    21266     coin_has_lapack="$COINLAPACK_VERSION"
    21267   else
    21268     COINLAPACK_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coinlapack"`
    21269 
    21270   fi
    21271 else
    21272   { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module coinlapack without pkg-config\"" >&5
    21273 echo "$as_me: error: \"Cannot check for existance of module coinlapack without pkg-config\"" >&2;}
    21274    { (exit 1); exit 1; }; }
    21275 fi
    21276 
    21277     PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
    21278     export PKG_CONFIG_PATH
    21279   fi
    21280 fi
    21281 
    21282 # if not found yet, check if project is available in present directory
     21385# check if project is available in present directory
    2128321386if test "$coin_has_lapack" = notGiven; then
    2128421387  if test -d $srcdir/ThirdParty/Lapack; then
     
    2129821401fi
    2129921402
     21403# check for project by using pkg-config, if pkg-config is available
     21404if test $coin_has_lapack = notGiven; then
     21405  #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
     21406  if test -n "$PKG_CONFIG" ; then
     21407    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     21408    PKG_CONFIG_PATH="$COIN_PKG_CONFIG_PATH" ; export PKG_CONFIG_PATH
     21409
     21410if test -n "$PKG_CONFIG" ; then
     21411  if $PKG_CONFIG --exists "coinlapack"; then
     21412    COINLAPACK_VERSION=`$PKG_CONFIG --modversion "coinlapack" 2>/dev/null`
     21413    coin_has_lapack="$COINLAPACK_VERSION"
     21414  else
     21415    COINLAPACK_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coinlapack"`
     21416
     21417  fi
     21418else
     21419  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module coinlapack without pkg-config\"" >&5
     21420echo "$as_me: error: \"Cannot check for existance of module coinlapack without pkg-config\"" >&2;}
     21421   { (exit 1); exit 1; }; }
     21422fi
     21423
     21424    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21425    export PKG_CONFIG_PATH
     21426  fi
     21427fi
     21428
    2130021429echo "$as_me:$LINENO: result: $coin_has_lapack" >&5
    2130121430echo "${ECHO_T}$coin_has_lapack" >&6
    2130221431
    21303 echo "$as_me:$LINENO: checking whether project Lapack need to be configured" >&5
    21304 echo $ECHO_N "checking whether project Lapack need to be configured... $ECHO_C" >&6
     21432echo "$as_me:$LINENO: checking whether project Lapack needs to be configured" >&5
     21433echo $ECHO_N "checking whether project Lapack needs to be configured... $ECHO_C" >&6
    2130521434if test "$coin_have_project_dir" = yes ; then
    2130621435
     
    2131221441
    2131321442subdirs="$subdirs ThirdParty/Lapack"
     21443
     21444  else
     21445    echo "$as_me:$LINENO: result: no" >&5
     21446echo "${ECHO_T}no" >&6
     21447  fi
     21448else
     21449  echo "$as_me:$LINENO: result: no" >&5
     21450echo "${ECHO_T}no" >&6
     21451fi
     21452
     21453
     21454echo "$as_me:$LINENO: checking whether project Glpk is available" >&5
     21455echo $ECHO_N "checking whether project Glpk is available... $ECHO_C" >&6
     21456
     21457coin_has_glpk=notGiven
     21458coin_have_project_dir=no
     21459
     21460# check if user wants to skip project in any case
     21461
     21462if test x"$COIN_SKIP_PROJECTS" != x; then
     21463  for dir in $COIN_SKIP_PROJECTS; do
     21464    if test $dir = "Glpk"; then
     21465      coin_has_glpk=skipping
     21466    fi
     21467    if test $dir = "ThirdParty/Glpk"; then
     21468      coin_has_glpk=skipping
     21469    fi
     21470  done
     21471fi
     21472
     21473if test $coin_has_glpk != skipping; then
     21474  if test $PACKAGE_TARNAME = glpk; then
     21475    coin_has_glpk=.
     21476    coin_have_project_dir=yes
     21477  fi
     21478
     21479
     21480# Check whether --with-m4_tolower(Glpk)-lib or --without-m4_tolower(Glpk)-lib was given.
     21481if test "${with_glpk_lib+set}" = set; then
     21482  withval="$with_glpk_lib"
     21483  coin_has_glpk=installed
     21484fi;
     21485
     21486
     21487# Check whether --with-m4_tolower(Glpk)-incdir or --without-m4_tolower(Glpk)-incdir was given.
     21488if test "${with_glpk_incdir+set}" = set; then
     21489  withval="$with_glpk_incdir"
     21490  coin_has_glpk=installed
     21491fi;
     21492
     21493
     21494# Check whether --with-m4_tolower(Glpk)-datadir or --without-m4_tolower(Glpk)-datadir was given.
     21495if test "${with_glpk_datadir+set}" = set; then
     21496  withval="$with_glpk_datadir"
     21497  coin_has_glpk=installed
     21498fi;
     21499
     21500
     21501
     21502
     21503
     21504fi
     21505
     21506# check if project is available in present directory
     21507if test "$coin_has_glpk" = notGiven; then
     21508  if test -d $srcdir/ThirdParty/Glpk; then
     21509    # If a third argument is given, then we have to check if one one the files given in that third argument is present.
     21510    # If none of the files in the third argument is available, then we consider the project directory as non-existing.
     21511    # However, if no third argument is given, then this means that there should be no check, and existence of the directory is sufficient.
     21512    for i in $srcdir/ThirdParty/Glpk/glpk/include/glpk.h; do
     21513         if test -r $i; then
     21514           coin_have_project_dir=yes
     21515         fi
     21516       done
     21517
     21518    if test $coin_have_project_dir = yes; then
     21519      coin_has_glpk=ThirdParty/Glpk
     21520    fi
     21521  fi
     21522fi
     21523
     21524# check for project by using pkg-config, if pkg-config is available
     21525if test $coin_has_glpk = notGiven; then
     21526  #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
     21527  if test -n "$PKG_CONFIG" ; then
     21528    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     21529    PKG_CONFIG_PATH="$COIN_PKG_CONFIG_PATH" ; export PKG_CONFIG_PATH
     21530
     21531if test -n "$PKG_CONFIG" ; then
     21532  if $PKG_CONFIG --exists "coinglpk"; then
     21533    COINGLPK_VERSION=`$PKG_CONFIG --modversion "coinglpk" 2>/dev/null`
     21534    coin_has_glpk="$COINGLPK_VERSION"
     21535  else
     21536    COINGLPK_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coinglpk"`
     21537
     21538  fi
     21539else
     21540  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module coinglpk without pkg-config\"" >&5
     21541echo "$as_me: error: \"Cannot check for existance of module coinglpk without pkg-config\"" >&2;}
     21542   { (exit 1); exit 1; }; }
     21543fi
     21544
     21545    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21546    export PKG_CONFIG_PATH
     21547  fi
     21548fi
     21549
     21550echo "$as_me:$LINENO: result: $coin_has_glpk" >&5
     21551echo "${ECHO_T}$coin_has_glpk" >&6
     21552
     21553echo "$as_me:$LINENO: checking whether project Glpk needs to be configured" >&5
     21554echo $ECHO_N "checking whether project Glpk needs to be configured... $ECHO_C" >&6
     21555if test "$coin_have_project_dir" = yes ; then
     21556
     21557  if test -r $srcdir/ThirdParty/Glpk/configure; then
     21558    coin_subdirs="$coin_subdirs ThirdParty/Glpk"
     21559    echo "$as_me:$LINENO: result: yes" >&5
     21560echo "${ECHO_T}yes" >&6
     21561
     21562
     21563subdirs="$subdirs ThirdParty/Glpk"
    2131421564
    2131521565  else
     
    2137521625fi
    2137621626
     21627# check if project is available in present directory
     21628if test "$coin_has_sample" = notGiven; then
     21629  if test -d $srcdir/Data/Sample; then
     21630    # If a third argument is given, then we have to check if one one the files given in that third argument is present.
     21631    # If none of the files in the third argument is available, then we consider the project directory as non-existing.
     21632    # However, if no third argument is given, then this means that there should be no check, and existence of the directory is sufficient.
     21633     coin_have_project_dir=yes
     21634
     21635    if test $coin_have_project_dir = yes; then
     21636      coin_has_sample=Data/Sample
     21637    fi
     21638  fi
     21639fi
     21640
     21641# check for project by using pkg-config, if pkg-config is available
    2137721642if test $coin_has_sample = notGiven; then
    21378   #check for project by using pkg-config, if pkg-config is available
    2137921643  #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
    2138021644  if test -n "$PKG_CONFIG" ; then
     
    2140121665fi
    2140221666
    21403 # if not found yet, check if project is available in present directory
    21404 if test "$coin_has_sample" = notGiven; then
    21405   if test -d $srcdir/Data/Sample; then
    21406     # If a third argument is given, then we have to check if one one the files given in that third argument is present.
    21407     # If none of the files in the third argument is available, then we consider the project directory as non-existing.
    21408     # However, if no third argument is given, then this means that there should be no check, and existence of the directory is sufficient.
    21409      coin_have_project_dir=yes
    21410 
    21411     if test $coin_have_project_dir = yes; then
    21412       coin_has_sample=Data/Sample
    21413     fi
    21414   fi
    21415 fi
    21416 
    2141721667echo "$as_me:$LINENO: result: $coin_has_sample" >&5
    2141821668echo "${ECHO_T}$coin_has_sample" >&6
    2141921669
    21420 echo "$as_me:$LINENO: checking whether project Sample need to be configured" >&5
    21421 echo $ECHO_N "checking whether project Sample need to be configured... $ECHO_C" >&6
     21670echo "$as_me:$LINENO: checking whether project Sample needs to be configured" >&5
     21671echo $ECHO_N "checking whether project Sample needs to be configured... $ECHO_C" >&6
    2142221672if test "$coin_have_project_dir" = yes ; then
    2142321673
     
    2149221742fi
    2149321743
     21744# check if project is available in present directory
     21745if test "$coin_has_netlib" = notGiven; then
     21746  if test -d $srcdir/Data/Netlib; then
     21747    # If a third argument is given, then we have to check if one one the files given in that third argument is present.
     21748    # If none of the files in the third argument is available, then we consider the project directory as non-existing.
     21749    # However, if no third argument is given, then this means that there should be no check, and existence of the directory is sufficient.
     21750     coin_have_project_dir=yes
     21751
     21752    if test $coin_have_project_dir = yes; then
     21753      coin_has_netlib=Data/Netlib
     21754    fi
     21755  fi
     21756fi
     21757
     21758# check for project by using pkg-config, if pkg-config is available
    2149421759if test $coin_has_netlib = notGiven; then
    21495   #check for project by using pkg-config, if pkg-config is available
    2149621760  #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
    2149721761  if test -n "$PKG_CONFIG" ; then
     
    2151821782fi
    2151921783
    21520 # if not found yet, check if project is available in present directory
    21521 if test "$coin_has_netlib" = notGiven; then
    21522   if test -d $srcdir/Data/Netlib; then
    21523     # If a third argument is given, then we have to check if one one the files given in that third argument is present.
    21524     # If none of the files in the third argument is available, then we consider the project directory as non-existing.
    21525     # However, if no third argument is given, then this means that there should be no check, and existence of the directory is sufficient.
    21526      coin_have_project_dir=yes
    21527 
    21528     if test $coin_have_project_dir = yes; then
    21529       coin_has_netlib=Data/Netlib
    21530     fi
    21531   fi
    21532 fi
    21533 
    2153421784echo "$as_me:$LINENO: result: $coin_has_netlib" >&5
    2153521785echo "${ECHO_T}$coin_has_netlib" >&6
    2153621786
    21537 echo "$as_me:$LINENO: checking whether project Netlib need to be configured" >&5
    21538 echo $ECHO_N "checking whether project Netlib need to be configured... $ECHO_C" >&6
     21787echo "$as_me:$LINENO: checking whether project Netlib needs to be configured" >&5
     21788echo $ECHO_N "checking whether project Netlib needs to be configured... $ECHO_C" >&6
    2153921789if test "$coin_have_project_dir" = yes ; then
    2154021790
     
    2160921859fi
    2161021860
     21861# check if project is available in present directory
     21862if test "$coin_has_miblib3" = notGiven; then
     21863  if test -d $srcdir/Data/miblib3; then
     21864    # If a third argument is given, then we have to check if one one the files given in that third argument is present.
     21865    # If none of the files in the third argument is available, then we consider the project directory as non-existing.
     21866    # However, if no third argument is given, then this means that there should be no check, and existence of the directory is sufficient.
     21867     coin_have_project_dir=yes
     21868
     21869    if test $coin_have_project_dir = yes; then
     21870      coin_has_miblib3=Data/miblib3
     21871    fi
     21872  fi
     21873fi
     21874
     21875# check for project by using pkg-config, if pkg-config is available
    2161121876if test $coin_has_miblib3 = notGiven; then
    21612   #check for project by using pkg-config, if pkg-config is available
    2161321877  #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
    2161421878  if test -n "$PKG_CONFIG" ; then
     
    2163521899fi
    2163621900
    21637 # if not found yet, check if project is available in present directory
    21638 if test "$coin_has_miblib3" = notGiven; then
    21639   if test -d $srcdir/Data/miblib3; then
    21640     # If a third argument is given, then we have to check if one one the files given in that third argument is present.
    21641     # If none of the files in the third argument is available, then we consider the project directory as non-existing.
    21642     # However, if no third argument is given, then this means that there should be no check, and existence of the directory is sufficient.
    21643      coin_have_project_dir=yes
    21644 
    21645     if test $coin_have_project_dir = yes; then
    21646       coin_has_miblib3=Data/miblib3
    21647     fi
    21648   fi
    21649 fi
    21650 
    2165121901echo "$as_me:$LINENO: result: $coin_has_miblib3" >&5
    2165221902echo "${ECHO_T}$coin_has_miblib3" >&6
    2165321903
    21654 echo "$as_me:$LINENO: checking whether project miblib3 need to be configured" >&5
    21655 echo $ECHO_N "checking whether project miblib3 need to be configured... $ECHO_C" >&6
     21904echo "$as_me:$LINENO: checking whether project miblib3 needs to be configured" >&5
     21905echo $ECHO_N "checking whether project miblib3 needs to be configured... $ECHO_C" >&6
    2165621906if test "$coin_have_project_dir" = yes ; then
    2165721907
     
    2172621976fi
    2172721977
     21978# check if project is available in present directory
     21979if test "$coin_has_coinutils" = notGiven; then
     21980  if test -d $srcdir//CoinUtils; then
     21981    # If a third argument is given, then we have to check if one one the files given in that third argument is present.
     21982    # If none of the files in the third argument is available, then we consider the project directory as non-existing.
     21983    # However, if no third argument is given, then this means that there should be no check, and existence of the directory is sufficient.
     21984     coin_have_project_dir=yes
     21985
     21986    if test $coin_have_project_dir = yes; then
     21987      coin_has_coinutils=CoinUtils
     21988    fi
     21989  fi
     21990fi
     21991
     21992# check for project by using pkg-config, if pkg-config is available
    2172821993if test $coin_has_coinutils = notGiven; then
    21729   #check for project by using pkg-config, if pkg-config is available
    2173021994  #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
    2173121995  if test -n "$PKG_CONFIG" ; then
     
    2175222016fi
    2175322017
    21754 # if not found yet, check if project is available in present directory
    21755 if test "$coin_has_coinutils" = notGiven; then
    21756   if test -d $srcdir//CoinUtils; then
    21757     # If a third argument is given, then we have to check if one one the files given in that third argument is present.
    21758     # If none of the files in the third argument is available, then we consider the project directory as non-existing.
    21759     # However, if no third argument is given, then this means that there should be no check, and existence of the directory is sufficient.
    21760      coin_have_project_dir=yes
    21761 
    21762     if test $coin_have_project_dir = yes; then
    21763       coin_has_coinutils=CoinUtils
    21764     fi
    21765   fi
    21766 fi
    21767 
    2176822018echo "$as_me:$LINENO: result: $coin_has_coinutils" >&5
    2176922019echo "${ECHO_T}$coin_has_coinutils" >&6
    2177022020
    21771 echo "$as_me:$LINENO: checking whether project CoinUtils need to be configured" >&5
    21772 echo $ECHO_N "checking whether project CoinUtils need to be configured... $ECHO_C" >&6
     22021echo "$as_me:$LINENO: checking whether project CoinUtils needs to be configured" >&5
     22022echo $ECHO_N "checking whether project CoinUtils needs to be configured... $ECHO_C" >&6
    2177322023if test "$coin_have_project_dir" = yes ; then
    2177422024
     
    2184322093fi
    2184422094
     22095# check if project is available in present directory
     22096if test "$coin_has_osi" = notGiven; then
     22097  if test -d $srcdir//Osi; then
     22098    # If a third argument is given, then we have to check if one one the files given in that third argument is present.
     22099    # If none of the files in the third argument is available, then we consider the project directory as non-existing.
     22100    # However, if no third argument is given, then this means that there should be no check, and existence of the directory is sufficient.
     22101     coin_have_project_dir=yes
     22102
     22103    if test $coin_have_project_dir = yes; then
     22104      coin_has_osi=Osi
     22105    fi
     22106  fi
     22107fi
     22108
     22109# check for project by using pkg-config, if pkg-config is available
    2184522110if test $coin_has_osi = notGiven; then
    21846   #check for project by using pkg-config, if pkg-config is available
    2184722111  #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
    2184822112  if test -n "$PKG_CONFIG" ; then
     
    2186922133fi
    2187022134
    21871 # if not found yet, check if project is available in present directory
    21872 if test "$coin_has_osi" = notGiven; then
    21873   if test -d $srcdir//Osi; then
    21874     # If a third argument is given, then we have to check if one one the files given in that third argument is present.
    21875     # If none of the files in the third argument is available, then we consider the project directory as non-existing.
    21876     # However, if no third argument is given, then this means that there should be no check, and existence of the directory is sufficient.
    21877      coin_have_project_dir=yes
    21878 
    21879     if test $coin_have_project_dir = yes; then
    21880       coin_has_osi=Osi
    21881     fi
    21882   fi
    21883 fi
    21884 
    2188522135echo "$as_me:$LINENO: result: $coin_has_osi" >&5
    2188622136echo "${ECHO_T}$coin_has_osi" >&6
    2188722137
    21888 echo "$as_me:$LINENO: checking whether project Osi need to be configured" >&5
    21889 echo $ECHO_N "checking whether project Osi need to be configured... $ECHO_C" >&6
     22138echo "$as_me:$LINENO: checking whether project Osi needs to be configured" >&5
     22139echo $ECHO_N "checking whether project Osi needs to be configured... $ECHO_C" >&6
    2189022140if test "$coin_have_project_dir" = yes ; then
    2189122141
     
    2196022210fi
    2196122211
     22212# check if project is available in present directory
     22213if test "$coin_has_clp" = notGiven; then
     22214  if test -d $srcdir//Clp; then
     22215    # If a third argument is given, then we have to check if one one the files given in that third argument is present.
     22216    # If none of the files in the third argument is available, then we consider the project directory as non-existing.
     22217    # However, if no third argument is given, then this means that there should be no check, and existence of the directory is sufficient.
     22218     coin_have_project_dir=yes
     22219
     22220    if test $coin_have_project_dir = yes; then
     22221      coin_has_clp=Clp
     22222    fi
     22223  fi
     22224fi
     22225
     22226# check for project by using pkg-config, if pkg-config is available
    2196222227if test $coin_has_clp = notGiven; then
    21963   #check for project by using pkg-config, if pkg-config is available
    2196422228  #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
    2196522229  if test -n "$PKG_CONFIG" ; then
     
    2198622250fi
    2198722251
    21988 # if not found yet, check if project is available in present directory
    21989 if test "$coin_has_clp" = notGiven; then
    21990   if test -d $srcdir//Clp; then
    21991     # If a third argument is given, then we have to check if one one the files given in that third argument is present.
    21992     # If none of the files in the third argument is available, then we consider the project directory as non-existing.
    21993     # However, if no third argument is given, then this means that there should be no check, and existence of the directory is sufficient.
    21994      coin_have_project_dir=yes
    21995 
    21996     if test $coin_have_project_dir = yes; then
    21997       coin_has_clp=Clp
    21998     fi
    21999   fi
    22000 fi
    22001 
    2200222252echo "$as_me:$LINENO: result: $coin_has_clp" >&5
    2200322253echo "${ECHO_T}$coin_has_clp" >&6
    2200422254
    22005 echo "$as_me:$LINENO: checking whether project Clp need to be configured" >&5
    22006 echo $ECHO_N "checking whether project Clp need to be configured... $ECHO_C" >&6
     22255echo "$as_me:$LINENO: checking whether project Clp needs to be configured" >&5
     22256echo $ECHO_N "checking whether project Clp needs to be configured... $ECHO_C" >&6
    2200722257if test "$coin_have_project_dir" = yes ; then
    2200822258
     
    2207722327fi
    2207822328
     22329# check if project is available in present directory
     22330if test "$coin_has_dylp" = notGiven; then
     22331  if test -d $srcdir//DyLP; then
     22332    # If a third argument is given, then we have to check if one one the files given in that third argument is present.
     22333    # If none of the files in the third argument is available, then we consider the project directory as non-existing.
     22334    # However, if no third argument is given, then this means that there should be no check, and existence of the directory is sufficient.
     22335     coin_have_project_dir=yes
     22336
     22337    if test $coin_have_project_dir = yes; then
     22338      coin_has_dylp=DyLP
     22339    fi
     22340  fi
     22341fi
     22342
     22343# check for project by using pkg-config, if pkg-config is available
    2207922344if test $coin_has_dylp = notGiven; then
    22080   #check for project by using pkg-config, if pkg-config is available
    2208122345  #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
    2208222346  if test -n "$PKG_CONFIG" ; then
     
    2210322367fi
    2210422368
    22105 # if not found yet, check if project is available in present directory
    22106 if test "$coin_has_dylp" = notGiven; then
    22107   if test -d $srcdir//DyLP; then
    22108     # If a third argument is given, then we have to check if one one the files given in that third argument is present.
    22109     # If none of the files in the third argument is available, then we consider the project directory as non-existing.
    22110     # However, if no third argument is given, then this means that there should be no check, and existence of the directory is sufficient.
    22111      coin_have_project_dir=yes
    22112 
    22113     if test $coin_have_project_dir = yes; then
    22114       coin_has_dylp=DyLP
    22115     fi
    22116   fi
    22117 fi
    22118 
    2211922369echo "$as_me:$LINENO: result: $coin_has_dylp" >&5
    2212022370echo "${ECHO_T}$coin_has_dylp" >&6
    2212122371
    22122 echo "$as_me:$LINENO: checking whether project DyLP need to be configured" >&5
    22123 echo $ECHO_N "checking whether project DyLP need to be configured... $ECHO_C" >&6
     22372echo "$as_me:$LINENO: checking whether project DyLP needs to be configured" >&5
     22373echo $ECHO_N "checking whether project DyLP needs to be configured... $ECHO_C" >&6
    2212422374if test "$coin_have_project_dir" = yes ; then
    2212522375
     
    2219422444fi
    2219522445
     22446# check if project is available in present directory
     22447if test "$coin_has_vol" = notGiven; then
     22448  if test -d $srcdir//Vol; then
     22449    # If a third argument is given, then we have to check if one one the files given in that third argument is present.
     22450    # If none of the files in the third argument is available, then we consider the project directory as non-existing.
     22451    # However, if no third argument is given, then this means that there should be no check, and existence of the directory is sufficient.
     22452     coin_have_project_dir=yes
     22453
     22454    if test $coin_have_project_dir = yes; then
     22455      coin_has_vol=Vol
     22456    fi
     22457  fi
     22458fi
     22459
     22460# check for project by using pkg-config, if pkg-config is available
    2219622461if test $coin_has_vol = notGiven; then
    22197   #check for project by using pkg-config, if pkg-config is available
    2219822462  #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
    2219922463  if test -n "$PKG_CONFIG" ; then
     
    2222022484fi
    2222122485
    22222 # if not found yet, check if project is available in present directory
    22223 if test "$coin_has_vol" = notGiven; then
    22224   if test -d $srcdir//Vol; then
    22225     # If a third argument is given, then we have to check if one one the files given in that third argument is present.
    22226     # If none of the files in the third argument is available, then we consider the project directory as non-existing.
    22227     # However, if no third argument is given, then this means that there should be no check, and existence of the directory is sufficient.
    22228      coin_have_project_dir=yes
    22229 
    22230     if test $coin_have_project_dir = yes; then
    22231       coin_has_vol=Vol
    22232     fi
    22233   fi
    22234 fi
    22235 
    2223622486echo "$as_me:$LINENO: result: $coin_has_vol" >&5
    2223722487echo "${ECHO_T}$coin_has_vol" >&6
    2223822488
    22239 echo "$as_me:$LINENO: checking whether project Vol need to be configured" >&5
    22240 echo $ECHO_N "checking whether project Vol need to be configured... $ECHO_C" >&6
     22489echo "$as_me:$LINENO: checking whether project Vol needs to be configured" >&5
     22490echo $ECHO_N "checking whether project Vol needs to be configured... $ECHO_C" >&6
    2224122491if test "$coin_have_project_dir" = yes ; then
    2224222492
     
    2231122561fi
    2231222562
     22563# check if project is available in present directory
     22564if test "$coin_has_cgl" = notGiven; then
     22565  if test -d $srcdir//Cgl; then
     22566    # If a third argument is given, then we have to check if one one the files given in that third argument is present.
     22567    # If none of the files in the third argument is available, then we consider the project directory as non-existing.
     22568    # However, if no third argument is given, then this means that there should be no check, and existence of the directory is sufficient.
     22569     coin_have_project_dir=yes
     22570
     22571    if test $coin_have_project_dir = yes; then
     22572      coin_has_cgl=Cgl
     22573    fi
     22574  fi
     22575fi
     22576
     22577# check for project by using pkg-config, if pkg-config is available
    2231322578if test $coin_has_cgl = notGiven; then
    22314   #check for project by using pkg-config, if pkg-config is available
    2231522579  #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
    2231622580  if test -n "$PKG_CONFIG" ; then
     
    2233722601fi
    2233822602
    22339 # if not found yet, check if project is available in present directory
    22340 if test "$coin_has_cgl" = notGiven; then
    22341   if test -d $srcdir//Cgl; then
    22342     # If a third argument is given, then we have to check if one one the files given in that third argument is present.
    22343     # If none of the files in the third argument is available, then we consider the project directory as non-existing.
    22344     # However, if no third argument is given, then this means that there should be no check, and existence of the directory is sufficient.
    22345      coin_have_project_dir=yes
    22346 
    22347     if test $coin_have_project_dir = yes; then
    22348       coin_has_cgl=Cgl
    22349     fi
    22350   fi
    22351 fi
    22352 
    2235322603echo "$as_me:$LINENO: result: $coin_has_cgl" >&5
    2235422604echo "${ECHO_T}$coin_has_cgl" >&6
    2235522605
    22356 echo "$as_me:$LINENO: checking whether project Cgl need to be configured" >&5
    22357 echo $ECHO_N "checking whether project Cgl need to be configured... $ECHO_C" >&6
     22606echo "$as_me:$LINENO: checking whether project Cgl needs to be configured" >&5
     22607echo $ECHO_N "checking whether project Cgl needs to be configured... $ECHO_C" >&6
    2235822608if test "$coin_have_project_dir" = yes ; then
    2235922609
     
    2242822678fi
    2242922679
     22680# check if project is available in present directory
     22681if test "$coin_has_cbc" = notGiven; then
     22682  if test -d $srcdir//Cbc; then
     22683    # If a third argument is given, then we have to check if one one the files given in that third argument is present.
     22684    # If none of the files in the third argument is available, then we consider the project directory as non-existing.
     22685    # However, if no third argument is given, then this means that there should be no check, and existence of the directory is sufficient.
     22686     coin_have_project_dir=yes
     22687
     22688    if test $coin_have_project_dir = yes; then
     22689      coin_has_cbc=Cbc
     22690    fi
     22691  fi
     22692fi
     22693
     22694# check for project by using pkg-config, if pkg-config is available
    2243022695if test $coin_has_cbc = notGiven; then
    22431   #check for project by using pkg-config, if pkg-config is available
    2243222696  #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
    2243322697  if test -n "$PKG_CONFIG" ; then
     
    2245422718fi
    2245522719
    22456 # if not found yet, check if project is available in present directory
    22457 if test "$coin_has_cbc" = notGiven; then
    22458   if test -d $srcdir//Cbc; then
    22459     # If a third argument is given, then we have to check if one one the files given in that third argument is present.
    22460     # If none of the files in the third argument is available, then we consider the project directory as non-existing.
    22461     # However, if no third argument is given, then this means that there should be no check, and existence of the directory is sufficient.
    22462      coin_have_project_dir=yes
    22463 
    22464     if test $coin_have_project_dir = yes; then
    22465       coin_has_cbc=Cbc
    22466     fi
    22467   fi
    22468 fi
    22469 
    2247022720echo "$as_me:$LINENO: result: $coin_has_cbc" >&5
    2247122721echo "${ECHO_T}$coin_has_cbc" >&6
    2247222722
    22473 echo "$as_me:$LINENO: checking whether project Cbc need to be configured" >&5
    22474 echo $ECHO_N "checking whether project Cbc need to be configured... $ECHO_C" >&6
     22723echo "$as_me:$LINENO: checking whether project Cbc needs to be configured" >&5
     22724echo $ECHO_N "checking whether project Cbc needs to be configured... $ECHO_C" >&6
    2247522725if test "$coin_have_project_dir" = yes ; then
    2247622726
Note: See TracChangeset for help on using the changeset viewer.